Versão Graph API

    Offline Conversion Data Set Shared Agencies

    Leitura

    OfflineConversionDataSetSharedAgencies

    Exemplo

    Graph API Explorer
    GET /v27.0/{offline-conversion-data-set-id}/shared_agencies HTTP/1.1
    Host: graph.facebook.com
    /* PHP SDK v5.0.0 */
    /* make the API call */
    try {
      // Returns a `Facebook\FacebookResponse` object
      $response = $fb->get(
        '/{offline-conversion-data-set-id}/shared_agencies',
        '{access-token}'
      );
    } catch(Facebook\Exceptions\FacebookResponseException $e) {
      echo 'Graph returned an error: ' . $e->getMessage();
      exit;
    } catch(Facebook\Exceptions\FacebookSDKException $e) {
      echo 'Facebook SDK returned an error: ' . $e->getMessage();
      exit;
    }
    $graphNode = $response->getGraphNode();
    /* handle the result */
    /* make the API call */
    FB.api(
        "/{offline-conversion-data-set-id}/shared_agencies",
        function (response) {
          if (response && !response.error) {
            /* handle the result */
          }
        }
    );
    /* make the API call */
    new GraphRequest(
        AccessToken.getCurrentAccessToken(),
        "/{offline-conversion-data-set-id}/shared_agencies",
        null,
        HttpMethod.GET,
        new GraphRequest.Callback() {
            public void onCompleted(GraphResponse response) {
                /* handle the result */
            }
        }
    ).executeAsync();
    /* make the API call */
    FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                                   initWithGraphPath:@"/{offline-conversion-data-set-id}/shared_agencies"
                                          parameters:params
                                          HTTPMethod:@"GET"];
    [request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                          id result,
                                          NSError *error) {
        // Handle the result
    }];
    Se quiser saber como usar a Graph API, leia nosso guia sobre Como usar a Graph API.

    Parâmetros

    ParâmetroDescrição
    action_source
    enum {WEBSITE, PHYSICAL_STORE}

    action_source

    Obrigatório

    Campos

    A leitura desta borda retornará um resultado formatado em JSON:

    { "data": [], "paging": {} }

    data

    Uma lista de nós Business.

    paging

    Para saber mais detalhes sobre paginação, consulte o Guia da Graph API.

    Error Codes

    ErroDescrição
    21019Offline Conversions API requests are deprecated from v20 onwards. Please use Conversions API for offline signals. v19 is the latest version that supports this Offline Conversions API endpoint and can be used until v19 is deprecated

    Criando

    Não é possível executar esta operação neste endpoint.

    Atualizando

    Não é possível executar esta operação neste endpoint.

    Excluindo

    Não é possível executar esta operação neste endpoint.